#[doc = "Register `PLD_MC_SET_RESET` reader"]
pub struct R(crate::R<PLD_MC_SET_RESET_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<PLD_MC_SET_RESET_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<PLD_MC_SET_RESET_SPEC>> for R {
    fn from(reader: crate::R<PLD_MC_SET_RESET_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `PLD_MC_SET_RESET` writer"]
pub struct W(crate::W<PLD_MC_SET_RESET_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<PLD_MC_SET_RESET_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<PLD_MC_SET_RESET_SPEC>> for W {
    fn from(writer: crate::W<PLD_MC_SET_RESET_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Set select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD0_MC0_SET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD0_MC0_SET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD0_MC0_SET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD0_MC0_SET_SEL` reader - Set select enable"]
pub struct PLD0_MC0_SET_SEL_R(crate::FieldReader<bool, PLD0_MC0_SET_SEL_A>);
impl PLD0_MC0_SET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_MC0_SET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD0_MC0_SET_SEL_A {
        match self.bits {
            false => PLD0_MC0_SET_SEL_A::DISABLE,
            true => PLD0_MC0_SET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD0_MC0_SET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD0_MC0_SET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD0_MC0_SET_SEL_R {
    type Target = crate::FieldReader<bool, PLD0_MC0_SET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_MC0_SET_SEL` writer - Set select enable"]
pub struct PLD0_MC0_SET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_MC0_SET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD0_MC0_SET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD0_MC0_SET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD0_MC0_SET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !0x01) | (value as u16 & 0x01);
        self.w
    }
}
#[doc = "Reset select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD0_MC0_RESET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD0_MC0_RESET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD0_MC0_RESET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD0_MC0_RESET_SEL` reader - Reset select enable"]
pub struct PLD0_MC0_RESET_SEL_R(crate::FieldReader<bool, PLD0_MC0_RESET_SEL_A>);
impl PLD0_MC0_RESET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_MC0_RESET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD0_MC0_RESET_SEL_A {
        match self.bits {
            false => PLD0_MC0_RESET_SEL_A::DISABLE,
            true => PLD0_MC0_RESET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD0_MC0_RESET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD0_MC0_RESET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD0_MC0_RESET_SEL_R {
    type Target = crate::FieldReader<bool, PLD0_MC0_RESET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_MC0_RESET_SEL` writer - Reset select enable"]
pub struct PLD0_MC0_RESET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_MC0_RESET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD0_MC0_RESET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD0_MC0_RESET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD0_MC0_RESET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 1)) | ((value as u16 & 0x01) << 1);
        self.w
    }
}
#[doc = "Set select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD0_MC1_SET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD0_MC1_SET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD0_MC1_SET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD0_MC1_SET_SEL` reader - Set select enable"]
pub struct PLD0_MC1_SET_SEL_R(crate::FieldReader<bool, PLD0_MC1_SET_SEL_A>);
impl PLD0_MC1_SET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_MC1_SET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD0_MC1_SET_SEL_A {
        match self.bits {
            false => PLD0_MC1_SET_SEL_A::DISABLE,
            true => PLD0_MC1_SET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD0_MC1_SET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD0_MC1_SET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD0_MC1_SET_SEL_R {
    type Target = crate::FieldReader<bool, PLD0_MC1_SET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_MC1_SET_SEL` writer - Set select enable"]
pub struct PLD0_MC1_SET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_MC1_SET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD0_MC1_SET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD0_MC1_SET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD0_MC1_SET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 2)) | ((value as u16 & 0x01) << 2);
        self.w
    }
}
#[doc = "Reset select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD0_MC1_RESET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD0_MC1_RESET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD0_MC1_RESET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD0_MC1_RESET_SEL` reader - Reset select enable"]
pub struct PLD0_MC1_RESET_SEL_R(crate::FieldReader<bool, PLD0_MC1_RESET_SEL_A>);
impl PLD0_MC1_RESET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_MC1_RESET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD0_MC1_RESET_SEL_A {
        match self.bits {
            false => PLD0_MC1_RESET_SEL_A::DISABLE,
            true => PLD0_MC1_RESET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD0_MC1_RESET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD0_MC1_RESET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD0_MC1_RESET_SEL_R {
    type Target = crate::FieldReader<bool, PLD0_MC1_RESET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_MC1_RESET_SEL` writer - Reset select enable"]
pub struct PLD0_MC1_RESET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_MC1_RESET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD0_MC1_RESET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD0_MC1_RESET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD0_MC1_RESET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 3)) | ((value as u16 & 0x01) << 3);
        self.w
    }
}
#[doc = "Set select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD0_MC2_SET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD0_MC2_SET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD0_MC2_SET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD0_MC2_SET_SEL` reader - Set select enable"]
pub struct PLD0_MC2_SET_SEL_R(crate::FieldReader<bool, PLD0_MC2_SET_SEL_A>);
impl PLD0_MC2_SET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_MC2_SET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD0_MC2_SET_SEL_A {
        match self.bits {
            false => PLD0_MC2_SET_SEL_A::DISABLE,
            true => PLD0_MC2_SET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD0_MC2_SET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD0_MC2_SET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD0_MC2_SET_SEL_R {
    type Target = crate::FieldReader<bool, PLD0_MC2_SET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_MC2_SET_SEL` writer - Set select enable"]
pub struct PLD0_MC2_SET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_MC2_SET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD0_MC2_SET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD0_MC2_SET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD0_MC2_SET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 4)) | ((value as u16 & 0x01) << 4);
        self.w
    }
}
#[doc = "Reset select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD0_MC2_RESET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD0_MC2_RESET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD0_MC2_RESET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD0_MC2_RESET_SEL` reader - Reset select enable"]
pub struct PLD0_MC2_RESET_SEL_R(crate::FieldReader<bool, PLD0_MC2_RESET_SEL_A>);
impl PLD0_MC2_RESET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_MC2_RESET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD0_MC2_RESET_SEL_A {
        match self.bits {
            false => PLD0_MC2_RESET_SEL_A::DISABLE,
            true => PLD0_MC2_RESET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD0_MC2_RESET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD0_MC2_RESET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD0_MC2_RESET_SEL_R {
    type Target = crate::FieldReader<bool, PLD0_MC2_RESET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_MC2_RESET_SEL` writer - Reset select enable"]
pub struct PLD0_MC2_RESET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_MC2_RESET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD0_MC2_RESET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD0_MC2_RESET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD0_MC2_RESET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 5)) | ((value as u16 & 0x01) << 5);
        self.w
    }
}
#[doc = "Set select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD0_MC3_SET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD0_MC3_SET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD0_MC3_SET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD0_MC3_SET_SEL` reader - Set select enable"]
pub struct PLD0_MC3_SET_SEL_R(crate::FieldReader<bool, PLD0_MC3_SET_SEL_A>);
impl PLD0_MC3_SET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_MC3_SET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD0_MC3_SET_SEL_A {
        match self.bits {
            false => PLD0_MC3_SET_SEL_A::DISABLE,
            true => PLD0_MC3_SET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD0_MC3_SET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD0_MC3_SET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD0_MC3_SET_SEL_R {
    type Target = crate::FieldReader<bool, PLD0_MC3_SET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_MC3_SET_SEL` writer - Set select enable"]
pub struct PLD0_MC3_SET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_MC3_SET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD0_MC3_SET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD0_MC3_SET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD0_MC3_SET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 6)) | ((value as u16 & 0x01) << 6);
        self.w
    }
}
#[doc = "Reset select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD0_MC3_RESET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD0_MC3_RESET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD0_MC3_RESET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD0_MC3_RESET_SEL` reader - Reset select enable"]
pub struct PLD0_MC3_RESET_SEL_R(crate::FieldReader<bool, PLD0_MC3_RESET_SEL_A>);
impl PLD0_MC3_RESET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_MC3_RESET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD0_MC3_RESET_SEL_A {
        match self.bits {
            false => PLD0_MC3_RESET_SEL_A::DISABLE,
            true => PLD0_MC3_RESET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD0_MC3_RESET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD0_MC3_RESET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD0_MC3_RESET_SEL_R {
    type Target = crate::FieldReader<bool, PLD0_MC3_RESET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_MC3_RESET_SEL` writer - Reset select enable"]
pub struct PLD0_MC3_RESET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_MC3_RESET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD0_MC3_RESET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD0_MC3_RESET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD0_MC3_RESET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 7)) | ((value as u16 & 0x01) << 7);
        self.w
    }
}
#[doc = "Set select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD1_MC0_SET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD1_MC0_SET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD1_MC0_SET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD1_MC0_SET_SEL` reader - Set select enable"]
pub struct PLD1_MC0_SET_SEL_R(crate::FieldReader<bool, PLD1_MC0_SET_SEL_A>);
impl PLD1_MC0_SET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_MC0_SET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD1_MC0_SET_SEL_A {
        match self.bits {
            false => PLD1_MC0_SET_SEL_A::DISABLE,
            true => PLD1_MC0_SET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD1_MC0_SET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD1_MC0_SET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD1_MC0_SET_SEL_R {
    type Target = crate::FieldReader<bool, PLD1_MC0_SET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_MC0_SET_SEL` writer - Set select enable"]
pub struct PLD1_MC0_SET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_MC0_SET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD1_MC0_SET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD1_MC0_SET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD1_MC0_SET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 8)) | ((value as u16 & 0x01) << 8);
        self.w
    }
}
#[doc = "Reset select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD1_MC0_RESET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD1_MC0_RESET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD1_MC0_RESET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD1_MC0_RESET_SEL` reader - Reset select enable"]
pub struct PLD1_MC0_RESET_SEL_R(crate::FieldReader<bool, PLD1_MC0_RESET_SEL_A>);
impl PLD1_MC0_RESET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_MC0_RESET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD1_MC0_RESET_SEL_A {
        match self.bits {
            false => PLD1_MC0_RESET_SEL_A::DISABLE,
            true => PLD1_MC0_RESET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD1_MC0_RESET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD1_MC0_RESET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD1_MC0_RESET_SEL_R {
    type Target = crate::FieldReader<bool, PLD1_MC0_RESET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_MC0_RESET_SEL` writer - Reset select enable"]
pub struct PLD1_MC0_RESET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_MC0_RESET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD1_MC0_RESET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD1_MC0_RESET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD1_MC0_RESET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 9)) | ((value as u16 & 0x01) << 9);
        self.w
    }
}
#[doc = "Set select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD1_MC1_SET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD1_MC1_SET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD1_MC1_SET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD1_MC1_SET_SEL` reader - Set select enable"]
pub struct PLD1_MC1_SET_SEL_R(crate::FieldReader<bool, PLD1_MC1_SET_SEL_A>);
impl PLD1_MC1_SET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_MC1_SET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD1_MC1_SET_SEL_A {
        match self.bits {
            false => PLD1_MC1_SET_SEL_A::DISABLE,
            true => PLD1_MC1_SET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD1_MC1_SET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD1_MC1_SET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD1_MC1_SET_SEL_R {
    type Target = crate::FieldReader<bool, PLD1_MC1_SET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_MC1_SET_SEL` writer - Set select enable"]
pub struct PLD1_MC1_SET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_MC1_SET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD1_MC1_SET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD1_MC1_SET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD1_MC1_SET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 10)) | ((value as u16 & 0x01) << 10);
        self.w
    }
}
#[doc = "Reset select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD1_MC1_RESET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD1_MC1_RESET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD1_MC1_RESET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD1_MC1_RESET_SEL` reader - Reset select enable"]
pub struct PLD1_MC1_RESET_SEL_R(crate::FieldReader<bool, PLD1_MC1_RESET_SEL_A>);
impl PLD1_MC1_RESET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_MC1_RESET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD1_MC1_RESET_SEL_A {
        match self.bits {
            false => PLD1_MC1_RESET_SEL_A::DISABLE,
            true => PLD1_MC1_RESET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD1_MC1_RESET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD1_MC1_RESET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD1_MC1_RESET_SEL_R {
    type Target = crate::FieldReader<bool, PLD1_MC1_RESET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_MC1_RESET_SEL` writer - Reset select enable"]
pub struct PLD1_MC1_RESET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_MC1_RESET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD1_MC1_RESET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD1_MC1_RESET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD1_MC1_RESET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 11)) | ((value as u16 & 0x01) << 11);
        self.w
    }
}
#[doc = "Set select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD1_MC2_SET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD1_MC2_SET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD1_MC2_SET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD1_MC2_SET_SEL` reader - Set select enable"]
pub struct PLD1_MC2_SET_SEL_R(crate::FieldReader<bool, PLD1_MC2_SET_SEL_A>);
impl PLD1_MC2_SET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_MC2_SET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD1_MC2_SET_SEL_A {
        match self.bits {
            false => PLD1_MC2_SET_SEL_A::DISABLE,
            true => PLD1_MC2_SET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD1_MC2_SET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD1_MC2_SET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD1_MC2_SET_SEL_R {
    type Target = crate::FieldReader<bool, PLD1_MC2_SET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_MC2_SET_SEL` writer - Set select enable"]
pub struct PLD1_MC2_SET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_MC2_SET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD1_MC2_SET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD1_MC2_SET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD1_MC2_SET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 12)) | ((value as u16 & 0x01) << 12);
        self.w
    }
}
#[doc = "Reset select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD1_MC2_RESET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD1_MC2_RESET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD1_MC2_RESET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD1_MC2_RESET_SEL` reader - Reset select enable"]
pub struct PLD1_MC2_RESET_SEL_R(crate::FieldReader<bool, PLD1_MC2_RESET_SEL_A>);
impl PLD1_MC2_RESET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_MC2_RESET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD1_MC2_RESET_SEL_A {
        match self.bits {
            false => PLD1_MC2_RESET_SEL_A::DISABLE,
            true => PLD1_MC2_RESET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD1_MC2_RESET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD1_MC2_RESET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD1_MC2_RESET_SEL_R {
    type Target = crate::FieldReader<bool, PLD1_MC2_RESET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_MC2_RESET_SEL` writer - Reset select enable"]
pub struct PLD1_MC2_RESET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_MC2_RESET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD1_MC2_RESET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD1_MC2_RESET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD1_MC2_RESET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 13)) | ((value as u16 & 0x01) << 13);
        self.w
    }
}
#[doc = "Set select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD1_MC3_SET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD1_MC3_SET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD1_MC3_SET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD1_MC3_SET_SEL` reader - Set select enable"]
pub struct PLD1_MC3_SET_SEL_R(crate::FieldReader<bool, PLD1_MC3_SET_SEL_A>);
impl PLD1_MC3_SET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_MC3_SET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD1_MC3_SET_SEL_A {
        match self.bits {
            false => PLD1_MC3_SET_SEL_A::DISABLE,
            true => PLD1_MC3_SET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD1_MC3_SET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD1_MC3_SET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD1_MC3_SET_SEL_R {
    type Target = crate::FieldReader<bool, PLD1_MC3_SET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_MC3_SET_SEL` writer - Set select enable"]
pub struct PLD1_MC3_SET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_MC3_SET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD1_MC3_SET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD1_MC3_SET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD1_MC3_SET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 14)) | ((value as u16 & 0x01) << 14);
        self.w
    }
}
#[doc = "Reset select enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum PLD1_MC3_RESET_SEL_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<PLD1_MC3_RESET_SEL_A> for bool {
    #[inline(always)]
    fn from(variant: PLD1_MC3_RESET_SEL_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `PLD1_MC3_RESET_SEL` reader - Reset select enable"]
pub struct PLD1_MC3_RESET_SEL_R(crate::FieldReader<bool, PLD1_MC3_RESET_SEL_A>);
impl PLD1_MC3_RESET_SEL_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_MC3_RESET_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> PLD1_MC3_RESET_SEL_A {
        match self.bits {
            false => PLD1_MC3_RESET_SEL_A::DISABLE,
            true => PLD1_MC3_RESET_SEL_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == PLD1_MC3_RESET_SEL_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == PLD1_MC3_RESET_SEL_A::ENABLE
    }
}
impl core::ops::Deref for PLD1_MC3_RESET_SEL_R {
    type Target = crate::FieldReader<bool, PLD1_MC3_RESET_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_MC3_RESET_SEL` writer - Reset select enable"]
pub struct PLD1_MC3_RESET_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_MC3_RESET_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: PLD1_MC3_RESET_SEL_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(PLD1_MC3_RESET_SEL_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(PLD1_MC3_RESET_SEL_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 15)) | ((value as u16 & 0x01) << 15);
        self.w
    }
}
impl R {
    #[doc = "Bit 0 - Set select enable"]
    #[inline(always)]
    pub fn pld0_mc0_set_sel(&self) -> PLD0_MC0_SET_SEL_R {
        PLD0_MC0_SET_SEL_R::new((self.bits & 0x01) != 0)
    }
    #[doc = "Bit 1 - Reset select enable"]
    #[inline(always)]
    pub fn pld0_mc0_reset_sel(&self) -> PLD0_MC0_RESET_SEL_R {
        PLD0_MC0_RESET_SEL_R::new(((self.bits >> 1) & 0x01) != 0)
    }
    #[doc = "Bit 2 - Set select enable"]
    #[inline(always)]
    pub fn pld0_mc1_set_sel(&self) -> PLD0_MC1_SET_SEL_R {
        PLD0_MC1_SET_SEL_R::new(((self.bits >> 2) & 0x01) != 0)
    }
    #[doc = "Bit 3 - Reset select enable"]
    #[inline(always)]
    pub fn pld0_mc1_reset_sel(&self) -> PLD0_MC1_RESET_SEL_R {
        PLD0_MC1_RESET_SEL_R::new(((self.bits >> 3) & 0x01) != 0)
    }
    #[doc = "Bit 4 - Set select enable"]
    #[inline(always)]
    pub fn pld0_mc2_set_sel(&self) -> PLD0_MC2_SET_SEL_R {
        PLD0_MC2_SET_SEL_R::new(((self.bits >> 4) & 0x01) != 0)
    }
    #[doc = "Bit 5 - Reset select enable"]
    #[inline(always)]
    pub fn pld0_mc2_reset_sel(&self) -> PLD0_MC2_RESET_SEL_R {
        PLD0_MC2_RESET_SEL_R::new(((self.bits >> 5) & 0x01) != 0)
    }
    #[doc = "Bit 6 - Set select enable"]
    #[inline(always)]
    pub fn pld0_mc3_set_sel(&self) -> PLD0_MC3_SET_SEL_R {
        PLD0_MC3_SET_SEL_R::new(((self.bits >> 6) & 0x01) != 0)
    }
    #[doc = "Bit 7 - Reset select enable"]
    #[inline(always)]
    pub fn pld0_mc3_reset_sel(&self) -> PLD0_MC3_RESET_SEL_R {
        PLD0_MC3_RESET_SEL_R::new(((self.bits >> 7) & 0x01) != 0)
    }
    #[doc = "Bit 8 - Set select enable"]
    #[inline(always)]
    pub fn pld1_mc0_set_sel(&self) -> PLD1_MC0_SET_SEL_R {
        PLD1_MC0_SET_SEL_R::new(((self.bits >> 8) & 0x01) != 0)
    }
    #[doc = "Bit 9 - Reset select enable"]
    #[inline(always)]
    pub fn pld1_mc0_reset_sel(&self) -> PLD1_MC0_RESET_SEL_R {
        PLD1_MC0_RESET_SEL_R::new(((self.bits >> 9) & 0x01) != 0)
    }
    #[doc = "Bit 10 - Set select enable"]
    #[inline(always)]
    pub fn pld1_mc1_set_sel(&self) -> PLD1_MC1_SET_SEL_R {
        PLD1_MC1_SET_SEL_R::new(((self.bits >> 10) & 0x01) != 0)
    }
    #[doc = "Bit 11 - Reset select enable"]
    #[inline(always)]
    pub fn pld1_mc1_reset_sel(&self) -> PLD1_MC1_RESET_SEL_R {
        PLD1_MC1_RESET_SEL_R::new(((self.bits >> 11) & 0x01) != 0)
    }
    #[doc = "Bit 12 - Set select enable"]
    #[inline(always)]
    pub fn pld1_mc2_set_sel(&self) -> PLD1_MC2_SET_SEL_R {
        PLD1_MC2_SET_SEL_R::new(((self.bits >> 12) & 0x01) != 0)
    }
    #[doc = "Bit 13 - Reset select enable"]
    #[inline(always)]
    pub fn pld1_mc2_reset_sel(&self) -> PLD1_MC2_RESET_SEL_R {
        PLD1_MC2_RESET_SEL_R::new(((self.bits >> 13) & 0x01) != 0)
    }
    #[doc = "Bit 14 - Set select enable"]
    #[inline(always)]
    pub fn pld1_mc3_set_sel(&self) -> PLD1_MC3_SET_SEL_R {
        PLD1_MC3_SET_SEL_R::new(((self.bits >> 14) & 0x01) != 0)
    }
    #[doc = "Bit 15 - Reset select enable"]
    #[inline(always)]
    pub fn pld1_mc3_reset_sel(&self) -> PLD1_MC3_RESET_SEL_R {
        PLD1_MC3_RESET_SEL_R::new(((self.bits >> 15) & 0x01) != 0)
    }
}
impl W {
    #[doc = "Bit 0 - Set select enable"]
    #[inline(always)]
    pub fn pld0_mc0_set_sel(&mut self) -> PLD0_MC0_SET_SEL_W {
        PLD0_MC0_SET_SEL_W { w: self }
    }
    #[doc = "Bit 1 - Reset select enable"]
    #[inline(always)]
    pub fn pld0_mc0_reset_sel(&mut self) -> PLD0_MC0_RESET_SEL_W {
        PLD0_MC0_RESET_SEL_W { w: self }
    }
    #[doc = "Bit 2 - Set select enable"]
    #[inline(always)]
    pub fn pld0_mc1_set_sel(&mut self) -> PLD0_MC1_SET_SEL_W {
        PLD0_MC1_SET_SEL_W { w: self }
    }
    #[doc = "Bit 3 - Reset select enable"]
    #[inline(always)]
    pub fn pld0_mc1_reset_sel(&mut self) -> PLD0_MC1_RESET_SEL_W {
        PLD0_MC1_RESET_SEL_W { w: self }
    }
    #[doc = "Bit 4 - Set select enable"]
    #[inline(always)]
    pub fn pld0_mc2_set_sel(&mut self) -> PLD0_MC2_SET_SEL_W {
        PLD0_MC2_SET_SEL_W { w: self }
    }
    #[doc = "Bit 5 - Reset select enable"]
    #[inline(always)]
    pub fn pld0_mc2_reset_sel(&mut self) -> PLD0_MC2_RESET_SEL_W {
        PLD0_MC2_RESET_SEL_W { w: self }
    }
    #[doc = "Bit 6 - Set select enable"]
    #[inline(always)]
    pub fn pld0_mc3_set_sel(&mut self) -> PLD0_MC3_SET_SEL_W {
        PLD0_MC3_SET_SEL_W { w: self }
    }
    #[doc = "Bit 7 - Reset select enable"]
    #[inline(always)]
    pub fn pld0_mc3_reset_sel(&mut self) -> PLD0_MC3_RESET_SEL_W {
        PLD0_MC3_RESET_SEL_W { w: self }
    }
    #[doc = "Bit 8 - Set select enable"]
    #[inline(always)]
    pub fn pld1_mc0_set_sel(&mut self) -> PLD1_MC0_SET_SEL_W {
        PLD1_MC0_SET_SEL_W { w: self }
    }
    #[doc = "Bit 9 - Reset select enable"]
    #[inline(always)]
    pub fn pld1_mc0_reset_sel(&mut self) -> PLD1_MC0_RESET_SEL_W {
        PLD1_MC0_RESET_SEL_W { w: self }
    }
    #[doc = "Bit 10 - Set select enable"]
    #[inline(always)]
    pub fn pld1_mc1_set_sel(&mut self) -> PLD1_MC1_SET_SEL_W {
        PLD1_MC1_SET_SEL_W { w: self }
    }
    #[doc = "Bit 11 - Reset select enable"]
    #[inline(always)]
    pub fn pld1_mc1_reset_sel(&mut self) -> PLD1_MC1_RESET_SEL_W {
        PLD1_MC1_RESET_SEL_W { w: self }
    }
    #[doc = "Bit 12 - Set select enable"]
    #[inline(always)]
    pub fn pld1_mc2_set_sel(&mut self) -> PLD1_MC2_SET_SEL_W {
        PLD1_MC2_SET_SEL_W { w: self }
    }
    #[doc = "Bit 13 - Reset select enable"]
    #[inline(always)]
    pub fn pld1_mc2_reset_sel(&mut self) -> PLD1_MC2_RESET_SEL_W {
        PLD1_MC2_RESET_SEL_W { w: self }
    }
    #[doc = "Bit 14 - Set select enable"]
    #[inline(always)]
    pub fn pld1_mc3_set_sel(&mut self) -> PLD1_MC3_SET_SEL_W {
        PLD1_MC3_SET_SEL_W { w: self }
    }
    #[doc = "Bit 15 - Reset select enable"]
    #[inline(always)]
    pub fn pld1_mc3_reset_sel(&mut self) -> PLD1_MC3_RESET_SEL_W {
        PLD1_MC3_RESET_SEL_W { w: self }
    }
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u16) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "PLD Macro cell Set Reset Selection\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [pld_mc_set_reset](index.html) module"]
pub struct PLD_MC_SET_RESET_SPEC;
impl crate::RegisterSpec for PLD_MC_SET_RESET_SPEC {
    type Ux = u16;
}
#[doc = "`read()` method returns [pld_mc_set_reset::R](R) reader structure"]
impl crate::Readable for PLD_MC_SET_RESET_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [pld_mc_set_reset::W](W) writer structure"]
impl crate::Writable for PLD_MC_SET_RESET_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets PLD_MC_SET_RESET to value 0"]
impl crate::Resettable for PLD_MC_SET_RESET_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
